import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {ScheduleRequest} from "@api/v1/scheduleRequest";

@Injectable()
export class ImportService extends ApiService {
  public readonly basePath = 'Import/';
  public readonly version = AvailableVersion.v1;

  public importToExcel(data: ScheduleRequest) {
    let request = this.createRequestBuilder()
      .setData(data)
      .setEndpoint('ImportToExcel')
      .build;

    console.log(this.combinedUrl(request));
    console.log(data);
    return this.http.post(this.combinedUrl(request), data, {
      responseType: 'blob'
    });
  }
}
